package com.chenyang.nse.bussiness.entity.orm.table.core;

import java.util.List;

public class TCoreDataScopeBO {
   private TCoreDataScope myself;
   private List<TCoreDataScope> childrens;

   public TCoreDataScope getMyself() {
      return this.myself;
   }

   public List<TCoreDataScope> getChildrens() {
      return this.childrens;
   }

   public void setMyself(final TCoreDataScope myself) {
      this.myself = myself;
   }

   public void setChildrens(final List<TCoreDataScope> childrens) {
      this.childrens = childrens;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreDataScopeBO)) {
         return false;
      } else {
         TCoreDataScopeBO other = (TCoreDataScopeBO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$myself = this.getMyself();
            Object other$myself = other.getMyself();
            if (this$myself == null) {
               if (other$myself != null) {
                  return false;
               }
            } else if (!this$myself.equals(other$myself)) {
               return false;
            }

            Object this$childrens = this.getChildrens();
            Object other$childrens = other.getChildrens();
            if (this$childrens == null) {
               if (other$childrens != null) {
                  return false;
               }
            } else if (!this$childrens.equals(other$childrens)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreDataScopeBO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $myself = this.getMyself();
      result = result * 59 + ($myself == null ? 43 : $myself.hashCode());
      Object $childrens = this.getChildrens();
      result = result * 59 + ($childrens == null ? 43 : $childrens.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreDataScopeBO(myself=" + this.getMyself() + ", childrens=" + this.getChildrens() + ")";
   }
}
